package eu.mhsl.craftattack.worldmuseum.listener;

import eu.mhsl.craftattack.worldmuseum.util.NewPlayer;
import eu.mhsl.craftattack.worldmuseum.items.CompassManager;
import net.kyori.adventure.text.Component;
import net.minestom.server.event.player.PlayerUseItemEvent;
import net.minestom.server.item.ItemStack;
import java.util.function.Consumer;

public class ItemUseListener implements Consumer<PlayerUseItemEvent> {

    @Override
    public void accept(PlayerUseItemEvent playerUseItemEvent) {
        NewPlayer p = (NewPlayer) playerUseItemEvent.getPlayer();
        ItemStack usedItem = playerUseItemEvent.getItemStack();
        CompassManager compassManager = CompassManager.getInstance();

        if (!usedItem.equals(compassManager.getCompass())) return;
        if (!p.isAllowCompassUsage()) {
            long lastUsed = (System.currentTimeMillis() - p.getLastCompassUsage()) / 1000;
            p.sendActionBar(Component.text("Du kannst den Kompass erst in " + (10 - lastUsed) + " Sekunden wieder benutzen."));

            return;
        }
        p.update_lastCompassUsage();
        p.openInventory(compassManager.getInventory());
        playerUseItemEvent.setCancelled(true);
    }
}
